de.esprit.netsuite.client.netch

## Class AbstractMessageChannel<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.netch.AbstractMessageChannel<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable, ClientObject<C>
  Direct Known Subclasses:
    MessageChannel

      public abstract class AbstractMessageChannel<C extends ClientContext>
      extends AbstractClientObject<C>

  This class contains an inner task, which fetches `NetMessage`s from the client's input queue and dispatches them to the various message listeners. Note that the subclass `MessageChannel` is supposed to be the API for the users.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMessageChannel(C clientCtx, ClientNetworkAdapter networkAdapter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRemoteTaskEventWaiterQueue(RemoteTaskEventQueue queue)`
    `void` | `close()`
    `protected abstract void` | `fireABOEvent(ABOChangeEvent event)`
    `protected abstract void` | `fireAgentReceived(AsyncAgent agent)`
    `protected abstract void` | `fireBatchTaskEvent(BatchTaskEvent event)`
    `protected abstract void` | `fireNetEvent(NetEvent event)`
    `protected abstract void` | `fireNetMessageReceived(NetMessageEvent event)`
    `protected abstract void` | `fireRemoteRecordChangeEvent(RemoteRecordChangeEvent event)`
    `protected abstract void` | `fireRemoteTaskEvent(RemoteTaskEvent event)`
    `protected abstract void` | `fireServerLogMessageEvent(LogMessageEvent event)`
    `protected abstract void` | `fireServerStatusEvent(ServerStatusEvent event)`
    `protected abstract void` | `fireSystemEvent(SystemEvent event)`
    `void` | `init()`
    `void` | `removeRemoteTaskEventWaiterQueue(RemoteTaskEventQueue queue)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMessageChannel

          public AbstractMessageChannel(C clientCtx,
                                ClientNetworkAdapter networkAdapter)

  - ### Method Detail

    - #### init

          public void init()
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### close

          public void close()

    - #### addRemoteTaskEventWaiterQueue

          public void addRemoteTaskEventWaiterQueue(RemoteTaskEventQueue queue)

    - #### removeRemoteTaskEventWaiterQueue

          public void removeRemoteTaskEventWaiterQueue(RemoteTaskEventQueue queue)

    - #### fireServerStatusEvent

          protected abstract void fireServerStatusEvent(ServerStatusEvent event)

    - #### fireRemoteTaskEvent

          protected abstract void fireRemoteTaskEvent(RemoteTaskEvent event)

    - #### fireRemoteRecordChangeEvent

          protected abstract void fireRemoteRecordChangeEvent(RemoteRecordChangeEvent event)

    - #### fireABOEvent

          protected abstract void fireABOEvent(ABOChangeEvent event)

    - #### fireBatchTaskEvent

          protected abstract void fireBatchTaskEvent(BatchTaskEvent event)

    - #### fireServerLogMessageEvent

          protected abstract void fireServerLogMessageEvent(LogMessageEvent event)

    - #### fireSystemEvent

          protected abstract void fireSystemEvent(SystemEvent event)

    - #### fireNetEvent

          protected abstract void fireNetEvent(NetEvent event)

    - #### fireNetMessageReceived

          protected abstract void fireNetMessageReceived(NetMessageEvent event)

    - #### fireAgentReceived

          protected abstract void fireAgentReceived(AsyncAgent agent)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.